Bug 299265 - Total number of filter criteria variable
Summary: Total number of filter criteria variable
Status: RESOLVED FIXED
Alias: None
Product: kmail2
Classification: Unclassified
Component: filtering (show other bugs)
Version: unspecified
Platform: openSUSE RPMs Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-02 23:01 UTC by Ian Powell
Modified: 2012-05-03 06:57 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.8.4


Attachments
Before adding new criteria (109.55 KB, image/png)
2012-05-02 23:03 UTC, Ian Powell
Details
Added 9th criteria (115.55 KB, image/png)
2012-05-02 23:04 UTC, Ian Powell
Details
Reverts back to 8 after APPLY (111.33 KB, image/png)
2012-05-02 23:07 UTC, Ian Powell
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ian Powell 2012-05-02 23:01:40 UTC
I created 9 items to for the filter to operate on, (any of them).
When you press Apply, it removes the last one.

Reproducible: Always

Steps to Reproduce:
1. Create 8 filter criteria (all plus signs to add new criteria are now disabled)
2. Press Apply to save
3. Close Filter dialog
4. Select "Configure Filters"
5. Now allows you to create a 9th (the green plus signs are enabled) 
6. Create 9th filter criteria (all plus signs to add new criteria are now disabled)
7. Press Apply and 9th filter criteria disappears.
Actual Results:  
Filter still works 

Expected Results:  
Expected the "green plus signs" to be disabled when total number of criteria reached rather than allow you to add more and let the "Apply" action remove the excess.
Comment 1 Ian Powell 2012-05-02 23:03:57 UTC
Created attachment 70815 [details]
Before adding new criteria

Before adding 9th criteria
Comment 2 Ian Powell 2012-05-02 23:04:51 UTC
Created attachment 70816 [details]
Added 9th criteria

Added 9th criteria and before pressing APPLY
Comment 3 Ian Powell 2012-05-02 23:07:41 UTC
Created attachment 70817 [details]
Reverts back to 8 after APPLY

Reverts back to 8 criteria after pressing APPLY.
Comment 4 Ian Powell 2012-05-02 23:08:48 UTC
When there are 8 criteria, everytime you load that filter via "Configure Filters", the "green plus" to add more, is enablefd
Comment 5 Laurent Montel 2012-05-03 06:17:32 UTC
I confirm it.
Will fix soon
Comment 6 Laurent Montel 2012-05-03 06:56:53 UTC
Git commit 9716122384a4454ba7e32e805e0ce0626b3d1b39 by Montel Laurent.
Committed on 03/05/2012 at 08:56.
Pushed by mlaurent into branch 'master'.

Fix Bug 299265 - Total number of filter criteria variable

FIXED-IN: 4.8.4

M  +1    -0    mailcommon/searchpatternedit.cpp

http://commits.kde.org/kdepim/9716122384a4454ba7e32e805e0ce0626b3d1b39
Comment 7 Laurent Montel 2012-05-03 06:57:44 UTC
Git commit 6b5d85765a46dfe91fe94479e3024e53d5021bf7 by Montel Laurent.
Committed on 03/05/2012 at 08:56.
Pushed by mlaurent into branch 'KDE/4.8'.

Fix Bug 299265 - Total number of filter criteria variable

FIXED-IN: 4.8.4
(cherry picked from commit 9716122384a4454ba7e32e805e0ce0626b3d1b39)

M  +1    -0    mailcommon/searchpatternedit.cpp

http://commits.kde.org/kdepim/6b5d85765a46dfe91fe94479e3024e53d5021bf7